Loading...
Searching...
No Matches
cxxgrp.h File Reference
`#include <boost/format.hpp>`
`#include <errno.h>`
`#include <grp.h>`
`#include <string>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <vector>`
`#include "rostlab/rostlab_stdexcept.h"`
Include dependency graph for cxxgrp.h:

Go to the source code of this file.

## Classes

struct | rostlab::cxx_group
class | rostlab::gid_not_found_error
class | rostlab::gname_not_found_error

## Namespaces

namespace | rostlab

## Functions

std::string | rostlab::getgrgid_r (gid_t __gid)
std::string | rostlab::getgrgid_r (gid_t __gid, cxx_group &__group)
gid_t | rostlab::getgrnam_r (const std::string &__gname)
gid_t | rostlab::getgrnam_r (const std::string &__gname, struct cxx_group &__group)